Subject: Re: bug#71293: 29.3; indentation issue for Python mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 May 2024 18:45:11 +0300

> Date: Fri, 31 May 2024 16:52:26 +0200
> From:  Fabrice Salvaire via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I observed many times indentation issues for modern Python 3. 
> 
> For examples: 
> ``` 
> class Foo: 
> def __init__(self, ...): 
> self.foo = ... # TAB won't indent to pos+4 
> ``` 
> 
> A workaround is sometimes to close and reopen the file. 
> Thus I suspect a wrong state. 
> But I don't found any explanation. 
> 
> I am using Python mode with treesitter enabled but I think it is not yet used for indentation ??? 

I think this is already fixed on the master branch.  Can you try it?